net.sf.cglib.reflect

## Class MulticastDelegate

- java.lang.Object
- - net.sf.cglib.reflect.MulticastDelegate

- All Implemented Interfaces:
    java.lang.Cloneable

      public abstract class MulticastDelegate
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MulticastDelegate.Generator`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract MulticastDelegate` | `add(java.lang.Object target)`
    `static MulticastDelegate` | `create(java.lang.Class iface)`
    `java.util.List` | `getTargets()`
    `abstract MulticastDelegate` | `newInstance()`
    `MulticastDelegate` | `remove(java.lang.Object target)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTargets

          public java.util.List getTargets()

    - #### add

          public abstract MulticastDelegate add(java.lang.Object target)

    - #### remove

          public MulticastDelegate remove(java.lang.Object target)

    - #### newInstance

          public abstract MulticastDelegate newInstance()

    - #### create

          public static MulticastDelegate create(java.lang.Class iface)

Copyright (c) 2001 - Apache Software Foundation